%define testver		248
%define	relver		248
%define name		blender
%define truename	blender
%define kde3altpath	/opt/kde3

%define build_debug     0
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}

%define build_fullopt 1
%{?_with_fullopt: %{expand: %%global build_fullopt 1}}
%{?_without_fullopt: %{expand: %%global build_fullopt 0}}

%define build_profiling 0
%{?_with_profiling: %{expand: %%global build_profiling 1}}
%{?_without_profiling: %{expand: %%global build_profiling 0}}

%define build_systembullet 0
%{?_with_systembullet: %{expand: %%global build_systembullet 1}}
%{?_without_systembullet: %{expand: %%global build_systembullet 0}}

%define build_systemffmpeg 0
%{?_with_systemffmpeg: %{expand: %%global build_systemffmpeg 1}}
%{?_without_systemffmpeg: %{expand: %%global build_systemffmpeg 0}}

%define build_verse	1
%{?_with_verse: %{expand: %%global build_verse 1}}
%{?_without_verse: %{expand: %%global build_verse 0}}

%define build_gameeng	1
%{?_with_gameeng: %{expand: %%global build_gameeng 1}}
%{?_without_gameeng: %{expand: %%global build_gameeng 0}}

%define build_player	1
%{?_with_player: %{expand: %%global build_player 1}}
%{?_without_player: %{expand: %%global build_player 0}}

%define use_smp		1
%{?_with_smp: %global use_smp 1}
%{?_without_smp: %global use_smp 0}

%define use_protector	0
%{?_with_protector: %global use_protector 1}
%{?_without_protector: %global use_protector 0}

%define no_protector	0
%{?_with_noprotector: %global no_protector 1}
%{?_without_noprotector: %global no_protector 0}

%define avoid_dunno_patent	1
%{?_with_avoidpatent: %global avoid_dunno_patent 1}
%{?_without_avoidpatent: %global avoid_dunno_patent 0}

%if %{use_smp}
%define scons_smp --debug=time -j %(expr $(getconf _NPROCESSORS_ONLN) + 2)
%else
%define scons_smp %{nil}
%endif

%if %{use_protector}
%define protector_flags -fstack-protector -fstack-protector-all --param=ssp-buffer-size=1
%else
%define protector_flags %{nil}
%endif

%if %{no_protector}
%define protector_flags -fno-stack-protector
%else
%define protector_flags %{nil}
%endif

%if %{build_profiling}
%define profiling_flags	-Wall -g -pg
%else
%define profiling_flags %{nil}
%endif

%if %{build_systemffmpeg}
%define	ffmpeg_source '/usr'
%if %{mdkversion} <= 200810
%define ffmpeg_lib 'avformat avcodec avutil'
%else
%define ffmpeg_lib 'avformat avcodec swscale avutil'
%endif
%else
%define ffmpeg_source '\#extern/ffmpeg'
%define ffmpeg_lib ''
%endif

%if %{build_verse}
%define verse_bool 'true'
%else
%define verse_bool 'false'
%endif

%if %{build_gameeng}
%define gameeng_bool 'true'
%else
%define gameeng_bool 'false'
%endif

%if %{build_player}
%define player_bool 'true'
%else
%define player_bool 'false'
%endif

%define ffmpeg_bool 'true'
%define redcode_bool 'false'

%if %{mdkversion} <= 200610
%define opengl_libpath	'%{_prefix}/X11R6/%{_lib}'
%else
%define	opengl_libpath	'%{_libdir}'
%endif

%if %{mdkversion} >= 200800
%define openmp_bool 'true'
%else
%define openmp_bool 'false'
%endif

Name:		%{name}
Version:	2.48a
Release:	%mkrel 8
Summary:	A fully functional 3D modeling/rendering/animation package
Group:		Graphics
Source0:	http://download.blender.org/source/blender-%{version}.tar.bz2
Source1: 	blender-wrapper
Source2:	http://download.blender.org/demo/test/test%{testver}.zip
Source11:	blender-16x16.png
Source12:	blender-32x32.png
Source13:	blender-48x48.png
Source14:	blendernodri-16x16.png
Source15:	blendernodri-32x32.png
Source16:	blendernodri-48x48.png
Patch0:		blender-2.41-openal-fix.patch
Patch1:		blender-2.48-libffmpeg-system.patch
Patch2:		blender-2.46-lib64.patch
Patch3:		blender-2.42-forceyafrayplug.patch
Patch4:		blender-2.46-libquicktime.patch
Patch10:	blender-2.48a-O3opt.patch
Patch13:	blender-2.48-python25.patch
Patch14:	blender-2.48-alut.patch
Patch17:	blender-2.48a-changelog.patch
Patch18:	blender-2.46-yafray_zero_threads.patch
Patch19:	blender-2.46-maxthreads.patch
Patch20:	blender-2.44-force-python24.patch
Patch21:	blender-2.44-boxpack2d-missed.patch
Patch22:	blender-2.46-bug6811.patch
Patch23:	blender-2.44-more-than-six-subsurf.patch
Patch24:	blender-2.45-import-dxf-logpath.patch
Patch34:	blender-2.48a-deinterlace.patch
Patch37:	blender-2.46-arith-optz.patch
Patch38:	blender-2.46-ffmpeg-new.patch
Patch39:	blender-2.46-scons-new.patch
# From Fedora: fix CVE-2008-1103-1 - AdamW 2008/09 #44196
Patch40:	blender-2.46rc3-cve-2008-1103-1.patch
# Disable x264, xvid and mp3lame support in blender's ffmpeg: these
# cannot be in the MDV repos for legal reasons - AdamW 2008/09
Patch41:	blender-2.48a-legal.patch
Patch42:	blender-2.48a-fix-str-fmt.patch
Patch43:	blender-2.48a-CVE-2008-4863.diff
URL:		http://www.blender.org/
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	scons
%if %{mdkversion} >= 200810
BuildRequires:	python-scons
%endif
BuildRequires:	openal-devel >= 0.0.6-9mdk
%if %{mdkversion} >= 200810
BuildRequires:	OpenEXR-devel >= 1.6.1
%else
BuildRequires:	OpenEXR-devel
%endif
%if %{build_systembullet}
BuildRequires:	bullet-devel
%endif
BuildRequires:	esound-devel
%if %{mdkversion} >= 200700
BuildRequires:  freealut-devel
%endif
BuildRequires:	ffmpeg-devel >= 0.4.9-1.pre1
%if %{mdkversion} >= 200710
BuildRequires:	ffmpeg-devel >= 0.4.9-3.pre1.7407.10
%endif
BuildRequires:	ftgl-devel
BuildRequires:	gettext-devel
%if %{mdkversion} >= 200800
BuildRequires:	libgomp-devel
%endif
BuildRequires:	jpeg-devel
BuildRequires:	mesaglu-devel
#BuildRequires:	glew-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	openssl-devel
BuildRequires:	png-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	SDL-devel
BuildRequires:	smpeg-devel
BuildRequires:	%{mklibname tiff 3}-devel
BuildRequires:	X11-devel
BuildRequires:	yasm
BuildRequires:	zlib-devel
Requires:	python-imaging >= 1.1.4
Requires:	yafray
Requires:	libtiff

%description
Blender is the in-house software of a high quality animation studio.
It has proven to be an extremely fast and versatile design instrument.
The software has a personal touch, offering a unique approach to the
world of three dimensions. Blender can be used to create TV
commercials, to make technical visualizations or business graphics, to
do some morphing, or to design user interfaces. Developers can easily
build and manage complex environments. The renderer is versatile and
extremely fast. All basic animation principles (curves and keys) are
implemented.

%if %{avoid_dunno_patent}
Please note that the ability of Blender to export to h.264 and Xvid
video formats, and MP3 audio format, has been disabled in this build
due to patent issues.
%endif

%if %{build_debug}
This version is built with debug enabled.
%endif

%prep
%setup -q -n %{truename}-%{version} -a 2
%patch0 -p1 -b .openal
%if %{mdkversion} >= 200710
%patch1 -p1 -b .ffmpeg
%endif
%if "%{_lib}" != "lib"
%patch2 -p1 -b .lib64
%endif
%patch3 -p1 -b .yafray
#%patch4 -p1 -b .quicktime
%patch10 -p0 -b .O3opt
%if %{mdkversion} >= 200710
%patch13 -p1 -b .python
%else
%patch20 -p1 -b .python24
%endif
%if %{mdkversion} >= 200700
%patch14 -p1 -b .alut
%endif
%patch17 -p1 -b .chglog
%patch18 -p1 -b .zero_threads
%patch19 -p1 -b .maxthreads
%patch21 -p1
%patch22 -p0 -b .bug6811
%patch23 -p1 -b .subsurf
%patch34 -p1 -b .deinterlace
#%patch36 -p1 -b .outliner
%patch37 -p1 -b .optz
%if %{mdkversion} >= 200900 && %{build_systemffmpeg}
%patch38 -p1 -b .ffmpegnew
%endif
%patch39 -p1 -b .sconsnew
%patch40 -p1 -b .cve200811031
%if !%{build_systemffmpeg} && %{avoid_dunno_patent}
%patch41 -p1 -b .legal
%endif
%patch42 -p0 -b .str
%patch43 -p0 -b .CVE-2008-4863

# Fix pt_BR
sed -i "s,pt_br,pt_BR,g" bin/.blender/.Blanguages

%build
%if %{build_debug}
%define debug_flags -g
%define scons_debug BF_DEBUG=1
%else
%define debug_flags %{nil}
%define scons_debug BF_DEBUG=0
%endif

cat > user-config.py <<EOF
BF_GETTEXT_LIBPATH = '\${BF_GETTEXT}/%{_lib}'
WITH_BF_FFMPEG = %{ffmpeg_bool}
BF_FFMPEG = %{ffmpeg_source}
BF_FFMPEG_LIB = %{ffmpeg_lib}
BF_FFMPEG_LIBPATH = '\${BF_FFMPEG}/%{_lib}'
WITH_BF_VERSE = %{verse_bool}
WITH_BF_GAMEENGINE = %{gameeng_bool}
WITH_BF_PLAYER = %{player_bool}
BF_OPENGL_LIBPATH = %{opengl_libpath}
WITH_BF_OPENMP = %{openmp_bool}
WITH_BF_REDCODE = %{redcode_bool}
%if %{build_systembullet}
BF_BULLET = '%{_prefix}'
BF_BULLET_INC = '\${BF_BULLET}/include/bullet'
BF_BULLET_LIB = 'bulletdynamics bulletcollision bulletmath'
%endif
#
BF_BUILDDIR = './builddir'
BF_INSTALLDIR = './installdir'
%if %{build_fullopt}
CCFLAGS  = "%{optflags} -O3 -ffast-math -mmmx -msse -msse2 -mfpmath=sse %{debug_flags} -funsigned-char -fno-strict-aliasing %{protector_flags}".split()
CXXFLAGS = "%{optflags} -O3 -ffast-math -mmmx -msse -msse2 -mfpmath=sse %{debug_flags} -funsigned-char -fno-strict-aliasing %{protector_flags}".split()
REL_CFLAGS  = "-O3".split()
REL_CCFLAGS = "-O3".split()
%endif
%if %{build_profiling}
BF_PROFILE = 'true'
BF_PROFILE_FLAGS= "%{profiling_flags}".split();
%endif
EOF

cat > user-config.py.sse <<EOF
BF_GETTEXT_LIBPATH = '\${BF_GETTEXT}/%{_lib}'
WITH_BF_FFMPEG = %{ffmpeg_bool}
BF_FFMPEG = %{ffmpeg_source}
BF_FFMPEG_LIB = %{ffmpeg_lib}
BF_FFMPEG_LIBPATH = '\${BF_FFMPEG}/%{_lib}'
WITH_BF_VERSE = %{verse_bool}
WITH_BF_GAMEENGINE = %{gameeng_bool}
WITH_BF_PLAYER = %{player_bool}
BF_OPENGL_LIBPATH = %{opengl_libpath}
WITH_BF_OPENMP = %{openmp_bool}
WITH_BF_REDCODE = %{redcode_bool}
%if %{build_systembullet}
BF_BULLET = '%{_prefix}'
BF_BULLET_INC = '\${BF_BULLET}/include/bullet'
BF_BULLET_LIB = 'bulletdynamics bulletcollision bulletmath'
%endif
BF_BUILDDIR = './builddir'
BF_INSTALLDIR = './installdir'
%if %{build_fullopt}
CCFLAGS  = "%{optflags} -O3 -ffast-math -msse -mfpmath=sse %debug_flags %profiling_flags -funsigned-char -fno-strict-aliasing %{protector_flags}".split()
CXXFLAGS = "%{optflags} -O3 -ffast-math -msse -mfpmath=sse %debug_flags %profiling_flags -funsigned-char -fno-strict-aliasing %{protector_flags}".split()
REL_CFLAGS  = "-O3".split()
REL_CCFLAGS = "-O3".split()
%if %{build_profiling}
BF_PROFILE = 'true'
BF_PROFILE_FLAGS= "%{profiling_flags}".split();
%endif
%endif
EOF

%ifarch %{ix86}
cp -p user-config.py user-config.py.std
cp -p user-config.py.sse user-config.py
scons -c %scons_debug BF_QUIET=0
scons %scons_debug %scons_smp BF_QUIET=0
cp -p builddir/bin/blender blender.sse
cp -p user-config.py.std user-config.py
scons -c %scons_debug BF_QUIET=0
%endif

scons %scons_debug %scons_smp BF_QUIET=0

# Build plugins
pushd release/plugins
   if [ -d ./include ]; then
	rm -rf include
   fi
   ln -s ../../source/blender/blenpluginapi include
   chmod +x bmake
   %make
popd

find ./test%{testver} -type f -print0|xargs -0 chmod 644
find ./test%{testver} -type d -print0|xargs -0 chmod 755 

%install
rm -rf %{buildroot}

install -m 755 %{SOURCE1} blender-wrapper
perl -pi -e 's@\$\{BLENDER_LIBDIR\}/%{truename}/@\$\{BLENDER_LIBDIR\}/%{name}/@g' blender-wrapper

%ifarch %{ix86}
cat >> blender-wrapper <<EOF 
if [ -e /proc/cpuinfo ]; then
	SSE="\`cat /proc/cpuinfo | grep flags | grep sse\`"
fi

if [ "x\$SSE" == x ]; then
	\${BLENDER_LIBDIR}/%{name}/%{truename} "\$@"
else
	\${BLENDER_LIBDIR}/%{name}/%{truename}.sse "\$@"
fi
EOF
%else
cat >> blender-wrapper <<EOF
\${BLENDER_LIBDIR}/%{name}/%{truename} "\$@"
EOF
%endif

install -d -m 755 \
		%{buildroot}%{_bindir} \
		%{buildroot}%{_libdir}/%{name} \
		%{buildroot}%{_datadir}/ \
%if %{mdkversion} >= 200900
		%{buildroot}%{kde3altpath}/share/mimelnk/application/ \
%endif
		%{buildroot}%{_datadir}/mimelnk/application/

%if %{build_verse}
install -m 755 ./installdir/verse %{buildroot}%{_libdir}/%{name}/verse
%endif
%if %{build_player}
install -m 755 ./installdir/blenderplayer %{buildroot}%{_libdir}/%{name}/%{truename}player
ln -s %{_libdir}/%{name}/%{truename}player %{buildroot}%{_bindir}/%{name}player
%endif
install -m 755 ./installdir/blender %{buildroot}%{_libdir}/%{name}/%{truename}
%ifarch %{ix86}
install -m 755 ./blender.sse %{buildroot}%{_libdir}/%{name}/%{truename}.sse
%endif
install -m 755 blender-wrapper %{buildroot}%{_bindir}/%{name}
sed -i "s,SPECDEFINED,%_libdir,g" %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}
cp -p %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}nodri
perl -pi -e 's@^\s*\$\{BLENDER_LIBDIR\}/%{name}/blender@LIBGL_ALWAYS_INDIRECT=1 \$\{BLENDER_LIBDIR\}/%{name}/blender@g' %{buildroot}%{_bindir}/%{name}nodri
cp -a ./installdir/.blender/scripts %{buildroot}%{_libdir}/%{name}
cp -a ./installdir/.blender/locale  %{buildroot}%{_datadir}
install -p -m 644 ./installdir/.blender/.Blanguages %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/.blender/.bfont.ttf %{buildroot}%{_libdir}/%{name}
install -p -m 644 release/VERSION %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/release_%{relver}.txt %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/copyright.txt %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/BlenderQuickStart.pdf %{buildroot}%{_libdir}/%{name}
install -p -m 644 ./installdir/blender.html %{buildroot}%{_libdir}/%{name}
install -p -m 644 source/blender/python/api2_2x/doc/*.py %{buildroot}%{_libdir}/%{name}/scripts
install -d -m 755 %{buildroot}%{_libdir}/%{name}/plugins/sequence
install -pD -m 644 release/plugins/sequence/*.so %{buildroot}%{_libdir}/%{name}/plugins/sequence
install -d %{buildroot}%{_libdir}/%{name}/plugins/texture
install -pD -m 644 release/plugins/texture/*.so %{buildroot}%{_libdir}/%{name}/plugins/texture
find %{buildroot}%{_libdir}/%{name}/scripts -type f -name '*.py' -exec chmod 644 '{}' \;

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Blender
Comment=The free open source 3D content creation suite
Exec=%{_bindir}/%{name} -w %f
Icon=%{name}
Terminal=false
Type=Application
Categories=3DGraphics;Graphics;Viewer;
MimeType=application/x-blender;
InitialPreference=11
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}fs.desktop << EOF
[Desktop Entry]
Name=Blender (FullScreen)
Comment=The free open source 3D content creation suite
Exec=%{_bindir}/%{name} -W %f
Icon=%{name}
Terminal=false
Type=Application
Categories=3DGraphics;Graphics;Viewer;
MimeType=application/x-blender;
InitialPreference=10
EOF

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}nodri.desktop << EOF
[Desktop Entry]
Name=Blender (DRI disabled)
Comment=The free open source 3D content creation suite (with DRI disabled)
Exec=%{_bindir}/%{name}nodri -w %f
Icon=%{name}nodri
Terminal=false
Type=Application
Categories=3DGraphics;Graphics;Viewer;
EOF

# mimelnk
cat > %{buildroot}%{_datadir}/mimelnk/application/x-_blender.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=MimeType
MimeType=application/x-blender
Icon=blender
Patterns=*.blend;*.BLEND;
Comment=Blender 3d format
EOF

%if %{mdkversion} >= 200900
cp -p %{buildroot}%{_datadir}/mimelnk/application/x-_blender.desktop \
	%{buildroot}%{kde3altpath}/share/mimelnk/application/
%endif

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 %{SOURCE14} -D %{buildroot}%{_miconsdir}/%{name}nodri.png
install -m644 %{SOURCE15} -D %{buildroot}%{_iconsdir}/%{name}nodri.png
install -m644 %{SOURCE16} -D %{buildroot}%{_liconsdir}/%{name}nodri.png

%if %build_debug
export DONT_STRIP=1
export EXCLUDE_FROM_STRIP=".*"
%endif

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database} 
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database} 
%endif

%files
%defattr(-,root,root)
%doc ChangeLog README doc/*.txt test%{testver}
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/mimelnk/application/x-_blender.desktop
%if %{mdkversion} >= 200900
%{kde3altpath}/share/mimelnk/application/x-_blender.desktop
%endif
%{_datadir}/locale/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/scripts
%{_libdir}/%{name}/%{truename}
%ifarch %{ix86}
%{_libdir}/%{name}/%{truename}.sse
%endif
%{_libdir}/%{name}/verse
%{_libdir}/%{name}/%{truename}player
%{_libdir}/%{name}/.bfont.ttf
%{_libdir}/%{name}/.Blanguages
%{_libdir}/%{name}/VERSION
%{_libdir}/%{name}/BlenderQuickStart.pdf
%{_libdir}/%{name}/blender.html
%{_libdir}/%{name}/copyright.txt
%{_libdir}/%{name}/release_%{relver}.txt
%{_libdir}/%{name}/scripts/*
%{_libdir}/%{name}/plugins/sequence
%{_libdir}/%{name}/plugins/texture
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}nodri.png
%{_liconsdir}/%{name}nodri.png
%{_iconsdir}/%{name}nodri.png


%changelog
* Fri Apr 10 2009 Giuseppe Ghibò <ghibo@mandriva.com> 2.48a-8mdv2009.1
+ Revision: 365736
- Increase max threads # to 32 (Nehalem CPU supports HT again...).

* Wed Apr 08 2009 Giuseppe Ghibò <ghibo@mandriva.com> 2.48a-7mdv2009.1
+ Revision: 365080
- Fix maxthreads patch (according to Campbell suggestion on RE_MAX_THREAD).

* Sun Mar 15 2009 Giuseppe Ghibò <ghibo@mandriva.com> 2.48a-6mdv2009.1
+ Revision: 355350
- Conditional description.

  + Oden Eriksson <oeriksson@mandriva.com>
    - P43: security fix for CVE-2008-4863

* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 2.48a-4mdv2009.1
+ Revision: 332413
- fix str fmt
- rediff deinterlace patch
- fix patch10

  + Michael Scherer <misc@mandriva.org>
    - fix patch 22, too fuzzy
    - fix patch 10 , too fuzzy

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.48a-3mdv2009.1
+ Revision: 312121
- rebuild for new libftgl major

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - In 2009.0 the place for .desktop files become /opt/kde3/share/mimelnk
      instead of /usr/share/mimelnk. Added a conditional for this.
    - Add conditional build flag for Adam legalese patch.
    - Add bool support for the redcode camera.
    - Rebuild Patch1 (ffmpeg)
    - Rebuild Patch13 (python 2.5).
    - Rebuild Patch17 (changelog).
    - Use svn 2.48a bz2 tarball.
    - Removed Patch7 (varuninitial), code moved.
    - Removed Patch35 (glext_undef).
    - Removed mlcd4 unused conditional flag.
    - Tuning flags.
    - Add yasm in BuildRequires.

* Tue Nov 04 2008 Funda Wang <fundawang@mandriva.org> 2.48a-1mdv2009.1
+ Revision: 299815
- New version 2.48a
- drop old patches, rediff some patches

* Mon Sep 29 2008 Adam Williamson <awilliamson@mandriva.org> 2.47-2mdv2009.0
+ Revision: 289913
- add note on legal issues to description
- add legal.patch to disable patent-restricted bits of internal ffmpeg build
- add cve-2008-1103-1.patch (from Fedora) to fix CVE-2008-1103-1 (#44196)

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Temporary disable glew-devel in BuildRequires (buildsys broken).

* Fri Aug 15 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.47-1mdv2009.0
+ Revision: 272254
- Release 2.47.
- Removed Patches 40-48 (merged upstream).
- Removed Patch35 (unneeded, now using glew library).
- Added glew-devel to BuildRequires.
- Provide internal x-blender.desktop in mimelnk tree because version
  in kdelibs-common package is broken.

* Sun Jun 29 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.46-3mdv2009.0
+ Revision: 230063
- Use OpenEXR-devel >= 1.6.1 in BuildRequires, otherwise links againsts the
  older OpenEXR 1.4.

* Sun Jun 29 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.46-2mdv2009.0
+ Revision: 230056
- Use internal ffmpeg instead of system-wide one as system-wide is broken
  with sequencer (imported avis are left blank).
- Added Patch41 (Blender crashes when changing Scenes on Sequencer`s Strips BL#11745)
- Added Patch42 (Fix for bug BL#11758: crash cancelling hair softbody bake,
  fix for bug BL#11966: crash in hair softbody with hair amount 0).
- Added Patch44 (Bug BL#12106: Memory leak in sequencer (>10MB/frame)).
- Added Patch45 (Bug BL#12473: crash converting old particle system from a linked file).
- Added Patch46 (Bug BL#13311: video_stream NULL when writing ffmpeg).
- Added Patch47 (Bug BL#13649: segmentation fault when deleting object).
- Added Patch48 (Bug BL#13666: added missing #include <stdio.h> in KX_RayCast.cpp).
- Rebuild Patch38 for ffmpeg lib.
- Release 2.46 final.
- Added Patch40 to fix problem in sequencer ("Translate" stops working when offset > image size, BL#11750).

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - remove support for distro < 2006.1

* Fri May 02 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.46-0.20080502.1mdv2009.0
+ Revision: 200031
- Added Patch38 for newer ffmpeg.
- Added Patch39 for supporting scons 0.92.2.
- More conditional builds.
- Removed -floop-optimize2 (not supported anymore on gcc 4.2.X).
- Added python-scons to BuildRequires.
- svn 20080425.
- Add support for compiling with system wide-bullet library (don't work yet).
- Added Patch37 to get the 4x4 matrix determinant computation faster.
- Reworked Patch35 (glext).
- Added -floop-optimize2 to optimization flags.

* Mon Apr 14 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.46-0.20080414.1mdv2009.0
+ Revision: 192678
- svn 2.46 of 20080414.
- Release 2.46-20080410.
- Removed Patch5 (libtiff, merged upstream)
- Removed Patch11 (morethreads, merged upstream).
- Removed Patch8 (yafray64, merged upstream).
- Removed Patch 9 (yafray-ncpus).
- Removed Patch16 (avclose, merged upstream).
- Removed Patch25-33 (merged upstream).
- Reworked Patch18 (zero threads safety).
- Reworked Patch22 (6811, partially merged upstream, except for verse).
- Add Patch34 for deinterlacing.
- Add Patch35 for fixing segfault on 64bit archs with nVidia cards (bug BL#7113)
- Add Patch36 for adding a new display mode to the outliner (bug BL#8195).

* Thu Mar 20 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.45-7mdv2008.1
+ Revision: 189280
- Add Patch35 to fix GameEngine crashing under Nvidia 64bit cards (bug BL#7113).

* Sun Feb 24 2008 Giuseppe Ghibò <ghibo@mandriva.com> 2.45-6mdv2008.1
+ Revision: 174343
- Remove unused patches.
- Rebuild against latest ffmpeg.
- Added Patch for deinterlacing in nodes (BL#7970).

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fundawang@mandriva.org> 2.45-5mdv2008.1
+ Revision: 116694
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - buildrequires X11-devel instead of XFree86-devel

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 2.45-4mdv2008.1
+ Revision: 108217
- rebuild for new gettext

* Thu Nov 01 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.45-3mdv2008.1
+ Revision: 104704
- Add Patch24 (from Humfred Fr. <humfred.fr@gmail.com>) for fixing bug #34942.
- Add Patch25 for fixing bug BL#7033 (from svn-stable r12026).
- Add Patch26 to add in python version info (from svn-stable r12027).
- Add Patch27 for fixing fuildsimCopyMesh (from svn-stable r12031).
- Add Patch28 for fixing bug BL#7310 about FluidSim Domain/Fluid (from svn-stable r12033).
- Add Patch29 for avoiding crash on startup when importing sys in python (from svn-stable r12051).
- Add Patch30 for having a function defined only when yafray is enabled (from svn-stable 12055).
- Add Patch31 for fixing bug BL#7334 (from svn-stable 12056).
- Add Patch32, Patch33 for purging compiler warnings (from svn-stable 12077, 12127).

* Thu Sep 13 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.45-2mdv2008.0
+ Revision: 85283
- Release: 2.45.

* Wed Sep 12 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.44-6.20070912.1mdv2008.0
+ Revision: 84787
- Updated to 2.44-stable svn-20070912.
- Updated logs in Patch17.

* Tue Sep 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.44-5.20070910.2mdv2008.0
+ Revision: 84327
- fix relver.
- Updated to 2.44-stable svn-20070910.
- Updated logs in Patch17.

* Sun Sep 09 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.44-4.20070826.2mdv2008.0
+ Revision: 83756
- Update to 2.44 stable 20070826.
- Fix Python patch (Patch13).
- Added Patch22 to fix blender bug #6811.
- Added Patch23 to allow more than 6 subsurf level from panel.
- Fix changelog.
- Added patch for blender bug 6811.
- Added verse binaries.
- Branch stable 2.44 of 20070724.
- Updated Patch17.

* Mon May 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.44-2mdv2008.0
+ Revision: 26720
- Added Patch21, for missed boxpack2d.py script (still needed by
  some other scripts).

* Sun May 13 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1mdv2008.0-current
+ Revision: 26582
- Release: 2.44.
- Removed Patch15, now 64bit is officially supported.
- Enabled Verse.

* Sun May 13 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-4mdv2008.0
+ Revision: 26575
- Fixed Patch18 for zero threads (bug #30137).
- Added Patch19 to allow 16 threads.


* Wed Mar 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-3mdv2007.1
+ Revision: 143270
- Rebuilt against latest ffmpeg.
- Ensure Building with against ffmpeg containing the img_convert in the API.
- Added Patch18 to avoid yafray rendering with 0 threads.

* Sat Feb 17 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-1mdv2007.1
+ Revision: 122138
- Enabled smp for building.
- Rebuilt Patch7.
- Removed Patch12, merged upstream.
- Updated Source0.
- Removed old Sources from tree.
- 2.43 final.
- Added Patch17 for fixing ChangeLog.
- Readded Patch16.
- Added InitialPreference in .desktop files.
- 2.43-20070214 (>RC3).
- use %%{name} macro to allow future build with version in name.

* Thu Feb 08 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070207.2mdv2007.1
+ Revision: 117805
- Added Patch16 for fixing segfault in Image Browser.

* Wed Feb 07 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070207.1mdv2007.1
+ Revision: 117069
- 2.43-20070707 (RC3).

* Sun Jan 28 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070128.1mdv2007.1
+ Revision: 114624
- release cvs 20070128 (>2.43RC2).
- call executable with -w (bug #26454).
- fixed blenderplayer position to correctly save the runtime.

* Fri Jan 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070119.1mdv2007.1
+ Revision: 110976
- Release 20070119 from CVS.
- Added Patch15 for 64bit warning.

* Fri Jan 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070118.1mdv2007.1
+ Revision: 110554
- Release 20070118 from CVS.
- Removed Patch15 (no longer needed).

* Sun Jan 07 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.43-0.20070101.2mdv2007.1
+ Revision: 105281
- modified string size in Patch12 to 16 to preserve the ABI.
- conditional BuildRequires for freealut-devel.
- Release 20070101 from CVS (RC1).
- Rebuilt Patch2.
- Rebuilt Patch12.
- Added freealut to Buildrequires (from Jan Ciger).
- Reworked Patch13 and Patch14 (from Jan Ciger) and apply
  only for 2007.1 (since python-config command was
  not available into python 2.4 package).
- Added Patch15 for fixing buffer overflow over stronger
  optimization flags.

* Wed Aug 23 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.42a-3mdv2007.0
+ Revision: 57087
- Fixed buffer overflow of bug #24583.

* Thu Aug 10 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.42a-2mdv2007.0
+ Revision: 54796
- Added Patch11 for to allow more threads.

  + Olivier Blin <oblin@mandriva.com>
    - fix typo in wrapper script, when upgrading from a previous version

* Sun Jul 30 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.42a-1mdv2007.0
+ Revision: 42619
- Release 2.42a.

* Tue Jul 25 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.42-2mdv2007.0
+ Revision: 41974
- changed ffmpeg-devel BuildRequires to 0.4.9-1.pre1.
- added OpenEXR-devel to BuildRequires
- added version into ffmpeg-devel BuildRequires and
  conditional switch (for MDV2006, since older ffmpeg, the
  ffmpeg support will be disabled).
- set mode 644 for internal .py scripts.
- use %%update_desktop_database instead of %%clean_desktop_database
  in %%post.
- xdg menus.
- fixes to wrapper.
- disabled -ftree-vectorize from CFLAGS, CXXFLAGS as it doesn't give
  improvements in rendering time.
- clean CFLAGS, CXXFLAGS.
- correctly copy user-config.py.std to user-config.py
- fixed install path of blender.sse.
- fixed cp of blender.sse.
- added blender-2.42-buildfix.patch.
- Added Patch10 for fixing problems with -O3 optimization
- Added Patch9 for fixing problem with SMP and yafray.
- Improved regexp for blendernodri (thanks to blino).
- Readapted Patch2,3.
- Removed Patch4,6  (merged upstream).
- fix applying Patch9
- fix minimal number of cpus/threads when called yafray.
- Better patch for x86-64
- added patch for correctly searching yafray plugin
- Added Requires: libtiff (dinamically loaded).
- Added Patch5 for loading libtiff.so.3 instead of libtiff.so (avoid
  installation of libtiff devel package).
- Added Patch6 for fixing a missed header.
- Added Patch7 for fixing an unitialized variable.
- [$VER: 2.41-5mdv]
- Force calling yafray trough library and not trough XML file (Patch3) as
  XML doesn't work anymore with yafray > 0.07, and anyway plugin it's better.
- Added yafray in Requires.
- Quote \$@ in wrapper.
- Added blendernodri wrapper to avoid blender's UI flashing problems
  with some card under DRI (e.g. Matrox).
- Updated svg2obj python script to 0.47.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed the mess did on svn versus regular upload. We should take more care in
      further operations.
      * Seg Mai 22 2006 Giuseppe Ghib?\195?\178 <ghibo@mandriva.com> 2.41-3mdk
    - Stronger optimization with %%optflags (thanks to Pixel).
    - python-devel >= 2.4 in BuildRequires.
    - New wrapper. Blender plugins usually deal with a lot of tmp/inplace writing.
      So now user get their own .blender env created.
    - Fixed locale translations.
    - Fixed pt_BR potfile naming
    - New upstream release
    - Finally we have blender internationalized, ann compiling in x86_64
    - Physics engine ODE isn't compiling at this moment
    - blenderplayer was reenabled, so game on again :-)
    - Still fixing my mess
    - Fix my mess

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Fri Apr 14 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.40-2mdk
- Added tiff-devel to BuildRequires.

* Wed Dec 28 2005 Olivier Blin <oblin@mandriva.com> 2.40-1mdk
- New release 2.40

* Thu Aug 04 2005 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.37a-1mdk
- Updated to version 2.37a
- Added blenderplayer (the standalone game player)
- Added some default python scripts for importing and exporting
- Added localization files to the package. They were put into the main package
  because blender doesn't automatically choose the language in the interface.

* Fri Jun 03 2005 Olivier Blin <oblin@mandriva.com> 2.37-1mdk
- 2.37 : http://www.blender3d.org/cms/Blender_2_37.496.0.html

* Fri Dec 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.36-1mdk
- 2.36

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.35-2mdk
- Rebuild for new python

* Tue Nov 16 2004 Olivier Blin <blino@mandrake.org> 2.35-1mdk
- 2.35 : http://www.blender3d.org/cms/Blender_2_35.482.0.html

* Sat Aug 07 2004 Olivier Blin <blino@mandrake.org> 2.34-1mdk
- 2.34 : http://www.blender3d.org/cms/Blender_2_34.319.0.html
- remove gcc/libstdc++ patches (fixed upstream)
- fix doc files list

* Thu Jun 24 2004 Olivier Blin <blino@mandrake.org> 2.33a-1mdk
- 2.33a (yeah, game engine is back)
- rediff Patch1
- more gcc 3.4 template fixes (Patch2)
- switch to scons build system

* Thu Jun 17 2004 Olivier Blin <blino@mandrake.org> 2.32-2mdk
- rebuilt for new libstdc++
- Added Patch0 to fix build with new libstdc++
- Added Patch1 to fix build with gcc 3.4

* Sat Apr 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.32-1mdk
- 2.32
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

